if (exist("psfile"))
  gset term post eps color
  gset output "/dev/null"
end
f0=[1 1 1];                  # single computed result lasts 12.5 ns
f1=[.5 0 0 -.7071 0 0 .5];   # 80 MHz post-computation
f2=[.5 0 0 0 .5];            # 30 MHz analog filter (16.7ns delay line)
npt=50;
t=[0:npt-1]'/.240;
x=t*0;
# x(2)=1;
x(1:24:npt)=1;
x(13:24:npt)=-1;
x=x*sqrt(2);                 # adjust to get unity for peak amplitude of y1
y0=filter(f0, 1, x);
y1=filter(f1, 1, y0);
y2=filter(f2, 1, y1);
# plot(t,y2,t,sin(t*2*pi*.050)/2/sqrt(2))

scale=8;
y1_flat=vec((y1*ones(1,scale))');
y2_flat=vec((y2*ones(1,scale))');
# t_flat=[-1.5:npt*scale-2.5]/(.240*scale);
t_flat=[-scale/2+.5:npt*scale-scale/2-.5]'/(.240*scale);
# ref=sin(t_flat*2*pi*.050)/2/sqrt(2);
ref=sin(t_flat*2*pi*.050);
amp=sum(y2_flat.*ref)/sum(ref.*ref);

gset xrange [0:140]
gset yrange [-1.1:1.4]
gset xlabel 't (ns)'
gset format y "%.1f"
gset key spacing 1.5
plot(t_flat-20, y1_flat, ";DAC out;",
     t_flat-20, y2_flat, ";notch out;",
     t_flat-20, amp*ref, ";50 MHz;");

if (exist("psfile"))
  gset output "f50.eps"
  replot
end
