f0=10.0;
dac_fs=7;   # dBm total DAC output
if (! exist("simple"))
   simple=0;
end
if (simple)
   o=[1:2:800]';
   a=4*cos(pi*(o-1)/2)./o/pi;
   # norm=sum(a.^2)
   norm=2;
   len=7;
else
   o=sort([[0:500]'*8+3; [0:500]'*8+5]);
   a=4*cos(pi*(o-1)/2)./o/pi;
   norm=sum(a.^2);
   len=4;
end
f=f0*o(1:len);

# see rx_filt.m from first LLRF model tech note
w1=18;
w2=9.5;
w3=15;
poles=[-w1 -w2+w3*j -w2-w3*j];

w0=50*2*pi;
poles=[poles+w0*j poles-w0*j];
s=2*pi*j*f;
A=1+0*s;
for p=poles
   A=A*abs(j*w0-p)./(s-p);
endfor
A=A.*(s/w0).^2;   % zeros at the origin

# [f log(a(1:len).^2/norm)/log(10)*10, abs(A)]

raw_power=log(a.^2/norm)/log(10)*10+dac_fs;
filter_atten=log(abs(A))/log(10)*20-2.5;

notch=log(0.5*abs(1+exp(j*pi*f/29)))/log(10)*20;

for i=[1:len]
   if (simple)
       printf("%5.1f & %7.2f & %7.2f & %7.2f\\\\\n", f(i), raw_power(i),
               filter_atten(i), raw_power(i)+filter_atten(i));
   else
       printf("%5.1f & %7.2f & %7.2f & %7.2f & %7.2f\\\\\n", f(i), raw_power(i),
               notch(i), filter_atten(i), raw_power(i)+notch(i)+filter_atten(i));
   end
endfor
